%define oname	kim

Name:		kim4
Version:	0.9.8
Release:	%mkrel 3
Summary:	Image menu for kde
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://www.librepc.com/dl/kim/
Source0:	http://www.librepc.com/dl/kim/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	kf5-macros

Requires:	plasma-workspace
Requires:	imagemagick
Requires:	xwd
Requires:	xwininfo
Requires:	tesseract
Requires:	unpaper
Obsoletes:	kim < 0.9.6-2
Provides:	kim = %{version}-%{release}

%description
This is an image Kde servicemenu which allows to:
- compress images,
- resize images,
- convert images,
- rotate images,
- rename images,
- resize and send by mail images,
- and more other actions !
This servicemenu use ImageMagick.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_kf5_bindir}
mkdir -p %{buildroot}%{_kf5_services}
mkdir -p %{buildroot}%{_kf5_appsdir}/%{name}/slideshow
mkdir -p %{buildroot}%{_kf5_appsdir}/%{name}/gallery

install -m 644 src/kim*.desktop %{buildroot}%{_kf5_services}/
install -m 755 src/bin/kim* %{buildroot}%{_kf5_bindir}/

install -m 644 src/slideshow/* %{buildroot}%{_kf5_appsdir}/%{name}/slideshow/
install -m 644 src/gallery/* %{buildroot}%{_kf5_appsdir}/%{name}/gallery/

perl -pi -e "s/\r\n/\n/"  manual/work.css

# translations files for kim4
pushd language/locale
for locale in de fr;
do
	mkdir -p %{buildroot}%{_datadir}/locale/$locale/LC_MESSAGES
	install -m 644 $locale/%{oname}.mo \
	"%{buildroot}%{_datadir}/locale/$locale/LC_MESSAGES/"
done
popd

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS ChangeLog README manual
%{_kf5_bindir}/kim*
%{_kf5_services}/kim*.desktop
%{_kf5_appsdir}/%{name}/


%changelog
* Wed Sep 14 2016 daviddavid <daviddavid> 0.9.8-3.mga6
+ Revision: 1052670
- adapt for plasma 5

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 25 2015 dtux <dtux> 0.9.8-1.mga6
+ Revision: 905908
- Version 0.9.8: corrected bugs in kim_ocr

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-4.mga5
+ Revision: 750448
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-3.mga5
+ Revision: 681080
- Mageia 5 Mass Rebuild

* Sun May 04 2014 daviddavid <daviddavid> 0.9.7-2.mga5
+ Revision: 620070
- add missing Provides package on kim
- fix translations files that are available on upstream source

* Sun May 04 2014 akien <akien> 0.9.7-1.mga5
+ Revision: 620058
- Obsolete kim package
- Renaming kim to kim4 (new upstream name)

* Mon Feb 17 2014 david-david <david-david> 0.9.6-1.mga5
+ Revision: 593964
- new version: 0.9.6

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + dtux <dtux>
    - some bugs fixed ...
    - localization with gettext (can be translated)
    - added kim_ocr (optical character recognition with tesseract)
    - replacing dcop by dbus for kde4 compatibility

* Sat Jan 12 2013 umeabot <umeabot> 0.9.5-9.mga3
+ Revision: 356203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 03 2012 dtux <dtux> 0.9.5-8.mga2
+ Revision: 204189
- Patching buggy script src/bin/kim_pelemele

* Thu Jan 12 2012 stormi <stormi> 0.9.5-7.mga2
+ Revision: 195402
- prefer install over cp and mkdir
- use more precise KDE macros
- fix license
- fix Source URL
- add docs and manuals to the package
- imported package kim


* Fri Jul 15 2011 Daniel Tartavel <contact@librepc.com> 0.9.5-1mga1
- package for Mageia1

* Tue Jan 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-6mdv2010.1
+ Revision: 490295
- add patches to fix service menu icons (bug #56302)
- clean spec file

* Thu Jun 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.5-5mdv2010.0
+ Revision: 388910
- Fix copy/paste error
- Make actions available on dolphin and konqueror

* Sat Mar 07 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.5-4mdv2009.1
+ Revision: 350794
- Update to kde4 version

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.9.5-4mdv2009.0
+ Revision: 282254
- switch to /opt

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.5-3mdv2009.0
+ Revision: 247763
- rebuild

* Sat Mar 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.5-1mdv2008.1
+ Revision: 177041
- New version 0.9.5

* Sat Mar 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.4-2mdv2008.1
+ Revision: 177040
- Fix Requires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 22 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.4-1mdv2008.0
+ Revision: 54478
- New version 0.9.4


* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-2mdv2007.0
- Rebuild for new extension

* Sat Apr 15 2006 Couriousous <couriousous@mandriva.org> 0.9.0-1mdk
- 0.9.0

* Sat Oct 01 2005 Couriousous <couriousous@mandriva.org> 0.8.1-1mdk
- 0.8.1

* Mon May 30 2005 Sebastien Savarin <plouf@mandriva.org> 0.8-1mdk
- New release 0.8
- Use %%{1}mdv2007.0

* Sat Feb 05 2005 Couriousous <couriousous@mandrake.org> 0.7-2mdk
- Fix requires

* Sat Feb 05 2005 Couriousous <couriousous@mandrake.org> 0.7-1mdk
- From: Sebastien Savarin <plouf@zarb.org> :
	- first release

